PopplioProduction
Apps
These API endpoints are related to apps and interviews for positions on our list.
GET
/
apps/metaGet Apps Meta
Gets the current applications metadata. Returns a AppMeta object. See schema for more info.
Success
GET
/
users/{user_id}/appsGet Application List
Gets all applications of the user returning a list of apps.
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Path Parameters
user_idRequiredstring
The ID of the user to use.
Success
POST
/
users/{user_id}/appsCreate App For Position
Creates an application for a position. Returns a 204 on success.
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequiredanswersobject
positionstring
Path Parameters
user_idRequiredstring
The ID of the user to create the application for.
Success